@echo off
if "%1" == "" goto :usage
set to_shutdown=%1
:goon
  REM seconds to wait whether process restarts
set SDWait=60
  REM seconds between PSList calls
set PLFreq=6
if not "%2" == "" set SDWait=%2
  REM is our process running? (check for typos)
pslist | find /i "%to_shutdown%" 2>1>nul
 REM ok, start loop
if not errorlevel 1 goto :loop
 REM not running, exit 
echo %to_shutdown% not running
goto :usage
:loop
  REM this works as a delay command only:
pslist -s %PLFreq% -r %PLFreq% 2>1>nul
echo still waiting for termination of
  REM now we look for our process:
pslist | find /i "%to_shutdown%" 2>nul
  REM loop if found:
if not errorlevel 1 goto :loop
  REM ...not found...
echo waiting for %SDWait% seconds whether %to_shutdown% restarts...
pslist -s %SDWait% -r %SDWait% 2>1>nul
  REM and look again:
pslist | find /i "%to_shutdown%" 2>1>nul
  REM continue loop if found:
if not errorlevel 1 goto :loop
  REM definitely not found - shutdown:
echo %to_shutdown% definitely terminated: shutting down  
shutdown -s -f -t 60 -c "%to_shutdown% no longer running, shutting down. To abort shutdown call 'abort_shutdown'"
goto :ende
:usage
set /P to_shutdown=Prozess: 
goto :goon
echo.
echo Usage: shutdown_if_terminates {process_name} {wait_seconds}
echo.
echo {process_name} is any process as listed by PSlist (mandatory)
echo {wait_seconds} is a number specifying the seconds to wait 
echo                whether the process restarts (optional, default 60)
echo.
echo Examples: 
echo shutdown_if_terminates PTStitcher
echo looks for PTStitcher and waits 60 seconds for restart
echo.
echo shutdown_if_terminates photoshop 10
echo looks for photoshop and waits 10 seconds for restart
echo.
pause
:ende
